Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel.impl
Class ActionDocumentImpl.ActionImpl

    java.lang.Object
      org.apache.xmlbeans.impl.values.XmlObjectBase
          org.apache.xmlbeans.impl.values.XmlComplexContentImpl
              org.jboss.soa.esb.listeners.config.xbeanmodel.impl.ActionDocumentImpl.ActionImpl

All Implemented Interfaces:
  java.io.Serializable, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource, ActionDocument.Action

Enclosing class:
  ActionDocumentImpl

    public static class ActionDocumentImpl.ActionImpl

extends org.apache.xmlbeans.impl.values.XmlComplexContentImpl
implements ActionDocument.Action

An XML action(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.ActionDocument.Action
`ActionDocument.Action.Factory`

Field Summary

Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_voorVc, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

Fields inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.ActionDocument.Action
`type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Constructor Summary
`ActionDocumentImpl.ActionImpl(org.apache.xmlbeans.SchemaType sType)`

Method Summary
`PropertyDocument.Property` | `addNewProperty()` Appends and returns a new empty value (as xml) as the last "property" element
`java.lang.String` | `getClass1()` Gets the "class" attribute
`java.lang.String` | `getName()` Gets the "name" attribute
`java.lang.String` | `getProcess()` Gets the "process" attribute
`PropertyDocument.Property[]` | `getPropertyArray()` Gets array of all "property" elements
`PropertyDocument.Property` | `getPropertyArray(int i)` Gets ith "property" element
`java.util.List<PropertyDocument.Property>` | `getPropertyList()` Gets a List of "property" elements
`PropertyDocument.Property` | `insertNewProperty(int i)` Inserts and returns a new empty value (as xml) as the ith "property" element
`boolean` | `isSetProcess()` True if has "process" attribute
`void` | `removeProperty(int i)` Removes the ith "property" element
`void` | `setClass1(java.lang.String class1)` Sets the "class" attribute
`void` | `setName(java.lang.String name)` Sets the "name" attribute
`void` | `setProcess(java.lang.String process)` Sets the "process" attribute
`void` | `setPropertyArray(int i, PropertyDocument.Property property)` Sets ith "property" element
`void` | `setPropertyArray(PropertyDocument.Property[] propertyArray)` Sets array of all "property" element
`int` | `sizeOfPropertyArray()` Returns number of "property" element
`void` | `unsetProcess()` Unsets the "process" attribute
`org.apache.xmlbeans.XmlString` | `xgetClass1()` Gets (as xml) the "class" attribute
`org.apache.xmlbeans.XmlString` | `xgetName()` Gets (as xml) the "name" attribute
`org.apache.xmlbeans.XmlString` | `xgetProcess()` Gets (as xml) the "process" attribute
`void` | `xsetClass1(org.apache.xmlbeans.XmlString class1)` Sets (as xml) the "class" attribute
`void` | `xsetName(org.apache.xmlbeans.XmlString name)` Sets (as xml) the "name" attribute
`void` | `xsetProcess(org.apache.xmlbeans.XmlString process)` Sets (as xml) the "process" attribute

Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl
`arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_isComplexContent, _isComplexType, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Constructor Detail

### ActionDocumentImpl.ActionImpl

    public ActionDocumentImpl.ActionImpl(org.apache.xmlbeans.SchemaType sType)

Method Detail

### getPropertyList

    public java.util.List<PropertyDocument.Property> getPropertyList()

  Gets a List of "property" elements

  Specified by:
    `getPropertyList` in interface `ActionDocument.Action`

### getPropertyArray

    public PropertyDocument.Property[] getPropertyArray()

  Gets array of all "property" elements

  Specified by:
    `getPropertyArray` in interface `ActionDocument.Action`

### getPropertyArray

    public PropertyDocument.Property getPropertyArray(int i)

  Gets ith "property" element

  Specified by:
    `getPropertyArray` in interface `ActionDocument.Action`

### sizeOfPropertyArray

    public int sizeOfPropertyArray()

  Returns number of "property" element

  Specified by:
    `sizeOfPropertyArray` in interface `ActionDocument.Action`

### setPropertyArray

    public void setPropertyArray(PropertyDocument.Property[] propertyArray)

  Sets array of all "property" element

  Specified by:
    `setPropertyArray` in interface `ActionDocument.Action`

### setPropertyArray

    public void setPropertyArray(int i,
                                 PropertyDocument.Property property)

  Sets ith "property" element

  Specified by:
    `setPropertyArray` in interface `ActionDocument.Action`

### insertNewProperty

    public PropertyDocument.Property insertNewProperty(int i)

  Inserts and returns a new empty value (as xml) as the ith "property" element

  Specified by:
    `insertNewProperty` in interface `ActionDocument.Action`

### addNewProperty

    public PropertyDocument.Property addNewProperty()

  Appends and returns a new empty value (as xml) as the last "property" element

  Specified by:
    `addNewProperty` in interface `ActionDocument.Action`

### removeProperty

    public void removeProperty(int i)

  Removes the ith "property" element

  Specified by:
    `removeProperty` in interface `ActionDocument.Action`

### getName

    public java.lang.String getName()

  Gets the "name" attribute

  Specified by:
    `getName` in interface `ActionDocument.Action`

### xgetName

    public org.apache.xmlbeans.XmlString xgetName()

  Gets (as xml) the "name" attribute

  Specified by:
    `xgetName` in interface `ActionDocument.Action`

### setName

    public void setName(java.lang.String name)

  Sets the "name" attribute

  Specified by:
    `setName` in interface `ActionDocument.Action`

### xsetName

    public void xsetName(org.apache.xmlbeans.XmlString name)

  Sets (as xml) the "name" attribute

  Specified by:
    `xsetName` in interface `ActionDocument.Action`

### getClass1

    public java.lang.String getClass1()

  Gets the "class" attribute

  Specified by:
    `getClass1` in interface `ActionDocument.Action`

### xgetClass1

    public org.apache.xmlbeans.XmlString xgetClass1()

  Gets (as xml) the "class" attribute

  Specified by:
    `xgetClass1` in interface `ActionDocument.Action`

### setClass1

    public void setClass1(java.lang.String class1)

  Sets the "class" attribute

  Specified by:
    `setClass1` in interface `ActionDocument.Action`

### xsetClass1

    public void xsetClass1(org.apache.xmlbeans.XmlString class1)

  Sets (as xml) the "class" attribute

  Specified by:
    `xsetClass1` in interface `ActionDocument.Action`

### getProcess

    public java.lang.String getProcess()

  Gets the "process" attribute

  Specified by:
    `getProcess` in interface `ActionDocument.Action`

### xgetProcess

    public org.apache.xmlbeans.XmlString xgetProcess()

  Gets (as xml) the "process" attribute

  Specified by:
    `xgetProcess` in interface `ActionDocument.Action`

### isSetProcess

    public boolean isSetProcess()

  True if has "process" attribute

  Specified by:
    `isSetProcess` in interface `ActionDocument.Action`

### setProcess

    public void setProcess(java.lang.String process)

  Sets the "process" attribute

  Specified by:
    `setProcess` in interface `ActionDocument.Action`

### xsetProcess

    public void xsetProcess(org.apache.xmlbeans.XmlString process)

  Sets (as xml) the "process" attribute

  Specified by:
    `xsetProcess` in interface `ActionDocument.Action`

### unsetProcess

    public void unsetProcess()

  Unsets the "process" attribute

  Specified by:
    `unsetProcess` in interface `ActionDocument.Action`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD